Apache C++ Standard Library Reference Guide

## <new>

Library: Language support

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<new>` is part of the Language support library of the C++ Standard Library. It defines the classes bad_alloc and nothrow_t, the type new_handler, the function `set_new_handler()`, and several forms of operator new`()` and operator delete`()`.

### Synopsis

    namespace std {
      class bad_alloc;
      struct nothrow_t {};
      extern const nothrow_t nothrow;
      typedef void (*new_handler)();
      new_handler set_new_handler (new_handler new_p) throw ();
    }

    void* operator new (std::size_t) throw (std::bad_alloc);
    void* operator new (std::size_t, const std::nothrow_t&)
                   throw ();
    void  operator delete (void*) throw ();
    void  operator delete (void*, const std::nothrow_t&) throw ();
    void* operator new[](std::size_t) throw (std::bad_alloc);
    void* operator new[](std::size_t, const std::nothrow_t&)
                   throw ();
    void  operator delete[](void*) throw ();
    void  operator delete[](void*, const std::nothrow_t&)
                   throw ();

    void* operator new  (std::size_t, void*) throw ();
    void* operator new[](std::size_t, void*) throw ();
    void  operator delete  (void*, void*) throw ();
    void  operator delete[](void*, void*) throw ();

### See Also

bad_alloc, operator new, operator delete

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.4